/*
 * Copyright 2013 WSO2, Inc. (http://wso2.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.identity.user.store.configuration.utils;

/**
 * Parent exception for secondary user store management exceptions.
 */
public class IdentityUserStoreMgtException extends Exception {

    private static final long serialVersionUID = 148397950276334073L;
    private String message;
    private String errorCode;

    public IdentityUserStoreMgtException(String message) {
        super(message);
        this.message = message;
    }

    public IdentityUserStoreMgtException(String message, Throwable cause) {
        super(message, cause);
        this.message = message;
    }

    public IdentityUserStoreMgtException(String errorCode, String message) {

        super(message);
        this.message = message;
        this.errorCode = errorCode;
    }

    public IdentityUserStoreMgtException(String errorCode, String message, Throwable cause) {

        super(message, cause);
        this.message = message;
        this.errorCode = errorCode;
    }

    public String getErrorCode() {

        return errorCode;
    }

    @Override
    public String getMessage() {
        return message;
    }
}
